scala

# Tuple9

#### case class Tuple9[+T1, +T2, +T3, +T4, +T5, +T6, +T7, +T8, +T9](_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9) extends Product9[T1, T2, T3, T4, T5, T6, T7, T8, T9] with Product with Serializable

A tuple of 9 elements; the canonical representation of a scala.Product9.

_1

  Element 1 of this Tuple9

_2

  Element 2 of this Tuple9

_3

  Element 3 of this Tuple9

_4

  Element 4 of this Tuple9

_5

  Element 5 of this Tuple9

_6

  Element 6 of this Tuple9

_7

  Element 7 of this Tuple9

_8

  Element 8 of this Tuple9

_9

  Element 9 of this Tuple9

Annotations
  @deprecatedInheritance( ... , "2.11.0" )
Source
  Tuple9.scala

Linear Supertypes
Serializable, java.io.Serializable, Product9[T1, T2, T3, T4, T5, T6, T7, T8, T9], Product, Equals, AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Tuple9
2. Serializable
3. Serializable
4. Product9
5. Product
6. Equals
7. AnyRef
8. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Tuple9(_1: T1, _2: T2, _3: T3, _4: T4, _5: T5, _6: T6, _7: T7, _8: T8, _9: T9)

   Create a new tuple with 9 elements.

   Create a new tuple with 9 elements. Note that it is more idiomatic to create a Tuple9 via `(t1, t2, t3, t4, t5, t6, t7, t8, t9)`

   _1

     Element 1 of this Tuple9

   _2

     Element 2 of this Tuple9

   _3

     Element 3 of this Tuple9

   _4

     Element 4 of this Tuple9

   _5

     Element 5 of this Tuple9

   _6

     Element 6 of this Tuple9

   _7

     Element 7 of this Tuple9

   _8

     Element 8 of this Tuple9

   _9

     Element 9 of this Tuple9

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9), B)

   Implicit information
     This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val _1: T1

   Element 1 of this Tuple9

   Element 1 of this Tuple9

   Definition Classes
     Tuple9 → Product9

7. #### val _2: T2

   Element 2 of this Tuple9

   Element 2 of this Tuple9

   Definition Classes
     Tuple9 → Product9

8. #### val _3: T3

   Element 3 of this Tuple9

   Element 3 of this Tuple9

   Definition Classes
     Tuple9 → Product9

9. #### val _4: T4

   Element 4 of this Tuple9

   Element 4 of this Tuple9

   Definition Classes
     Tuple9 → Product9

10. #### val _5: T5

    Element 5 of this Tuple9

    Element 5 of this Tuple9

    Definition Classes
      Tuple9 → Product9

11. #### val _6: T6

    Element 6 of this Tuple9

    Element 6 of this Tuple9

    Definition Classes
      Tuple9 → Product9

12. #### val _7: T7

    Element 7 of this Tuple9

    Element 7 of this Tuple9

    Definition Classes
      Tuple9 → Product9

13. #### val _8: T8

    Element 8 of this Tuple9

    Element 8 of this Tuple9

    Definition Classes
      Tuple9 → Product9

14. #### val _9: T9

    Element 9 of this Tuple9

    Element 9 of this Tuple9

    Definition Classes
      Tuple9 → Product9

15. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

16. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

17. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9)) ⇒ Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

18. #### def ensuring(cond: ((T1, T2, T3, T4, T5, T6, T7, T8, T9)) ⇒ Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

19. #### def ensuring(cond: Boolean, msg: ⇒ Any): (T1, T2, T3, T4, T5, T6, T7, T8, T9)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

20. #### def ensuring(cond: Boolean): (T1, T2, T3, T4, T5, T6, T7, T8, T9)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

23. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def productArity: Int

    The arity of this product.

    The arity of this product.

    returns

      9

    Definition Classes
      Product9 → Product

30. #### def productElement(n: Int): Any

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    Returns the n-th projection of this product if 0 < n <= productArity, otherwise throws an `IndexOutOfBoundsException`.

    n

      number of the projection to be returned

    returns

      same as `._(n+1)`, for example `productElement(0)` is the same as `._1`.

    Definition Classes
      Product9 → Product
    Annotations
      @throws( clazz = classOf[IndexOutOfBoundsException] )
    Exceptions thrown
      IndexOutOfBoundsException

31. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

32. #### def toString(): String

    Definition Classes
      Tuple9 → AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### def →[B](y: B): ((T1, T2, T3, T4, T5, T6, T7, T8, T9), B)

    Implicit information
      This member is added by an implicit conversion from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9)] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product9[T1, T2, T3, T4, T5, T6, T7, T8, T9]

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to any2stringadd[(T1, T2, T3, T4, T5, T6, T7, T8, T9)]

### Inherited by implicit conversion StringFormat from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to StringFormat[(T1, T2, T3, T4, T5, T6, T7, T8, T9)]

### Inherited by implicit conversion Ensuring from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to Ensuring[(T1, T2, T3, T4, T5, T6, T7, T8, T9)]

### Inherited by implicit conversion ArrowAssoc from (T1, T2, T3, T4, T5, T6, T7, T8, T9) to ArrowAssoc[(T1, T2, T3, T4, T5, T6, T7, T8, T9)]

### Ungrouped